How To Install CodeSlayer 4.2.0 On Ubuntu 14.04, Linux Mint 17 And Their Derivative Systems

Hello Linux Geeksters. As you may know, CodeSlayer is an open-source code editor, written and C and using GTK+ as interface. Despite the fact that it is lightweight, it has all the features of a modern editor, including: tabbed interface, find and replace function, file navigation system which is organized into projects and global search across projects.

The latest version available is CodeSlayer 4.2.0, which comes with some improvements. For more information see the official page.

how to install CodeSlayer 4.2.0 on Ubuntu 14.04 Trusty Tahr, Linux Mint 17 Qiana, Pinguy OS 14.04 and Elementary OS 0.3 Isis.

In this article I will show you how to install CodeSlayer 4.2.0 on Ubuntu 14.04 Trusty Tahr, Linux Mint 17 Qiana, Pinguy OS 14.04 and Elementary OS 0.3 Isis.

Because it is available via the GetDeb repository, installing CodeSlayer 4.2.0 on Ubuntu 14.04, Pinguy OS 14.04, Linux Mint 17 and Elementary OS 0.3 is easy. All you have to do is add the repository and the key to your system, update the local repository index and install the soundconverter package. Like this:

$ sudo sh -c 'echo "deb http://archive.getdeb.net/ubuntu trusty-getdeb apps" >> /etc/apt/sources.list.d/getdeb.list'
$ wget -q -O - http://archive.getdeb.net/getdeb-archive.key | sudo apt-key add -
$ sudo apt-get update
$ sudo apt-get install codeslayer

Optional, to remove soundconverter, do:

$ sudo apt-get remove codeslayer

Tagged with: , , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!